Subject: Re: Cygwin - Versioned Distro's (was Re: A request?)
From: Robert Collins <[email-masked]>
To: Elfyn McBratney <[email-masked]>
Cc: cygwin <[email-masked]>
Date: 22 Apr 2003 15:52:41 +1000

On Tue, 2003-04-22 at 15:45, Elfyn McBratney wrote:

> ...My first thought was to have a command line tool (cpm) much like the CPAN
> shell, which would be easy to use and have simple commands like `install',
> `update' and `remove' to modify the installation, as well as having command
> line options. On second though t'would be better to have something that
> could also be setup integrated.
> 
> IMO, if this does get off the ground, it would be a good start to first put
> the distro together and once it's all polished then tackle the setup.exe
> beast. :-)

However you like, you're the volunteer :}.

You do know that setup.exe has command line options for *most*
everything. The only thing missing that matters is the glue to install
package foo, or remove package foo. By default it will update
everything. (And you get the dependency logic for free .....)

Rob
-- 
GPG key available at: <http://users.bigpond.net.au/robertc/keys.txt>.